Bug 1618871 (CVE-2018-1517) - CVE-2018-1517 IBM JDK: DoS in the java.math component
Summary: CVE-2018-1517 IBM JDK: DoS in the java.math component
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1517
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1618719 1618720 1618721 1619180 1619181 1619182 1624844 1624845 1624872 1625243
Blocks: 1594250
TreeView+ depends on / blocked
 
Reported: 2018-08-17 20:43 UTC by Tomas Hoger
Modified: 2019-09-29 14:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-17 15:14:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2568 None None None 2018-08-27 14:21:11 UTC
Red Hat Product Errata RHSA-2018:2569 None None None 2018-08-27 14:21:30 UTC
Red Hat Product Errata RHSA-2018:2575 None None None 2018-08-28 19:19:28 UTC
Red Hat Product Errata RHSA-2018:2576 None None None 2018-08-28 19:21:07 UTC
Red Hat Product Errata RHSA-2018:2712 None None None 2018-09-17 14:51:10 UTC
Red Hat Product Errata RHSA-2018:2713 None None None 2018-09-17 14:54:39 UTC

Description Tomas Hoger 2018-08-17 20:43:32 UTC
IBM JDK 8 SR5 FP20 (8.0.5.20), 7 R1 SR4 FP30 (7.1.4.30), 7 SR10 FP30 (7.0.10.30), and 6 SR16 FP70 (6.0.16.70) fix a flaw described by upstream as:

A flaw in the java.math component in IBM SDK, Java Technology Edition may allow an attacker to inflict a denial-of-service attack with specially crafted String data.

References:

https://www-01.ibm.com/support/docview.wss?uid=ibm10719653
https://developer.ibm.com/javasdk/support/security-vulnerabilities/#IBM_Security_Update_August_2018

Comment 1 errata-xmlrpc 2018-08-27 14:21:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2018:2568 https://access.redhat.com/errata/RHSA-2018:2568

Comment 2 errata-xmlrpc 2018-08-27 14:21:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2018:2569 https://access.redhat.com/errata/RHSA-2018:2569

Comment 3 errata-xmlrpc 2018-08-28 19:19:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:2575 https://access.redhat.com/errata/RHSA-2018:2575

Comment 4 errata-xmlrpc 2018-08-28 19:21:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:2576 https://access.redhat.com/errata/RHSA-2018:2576

Comment 8 errata-xmlrpc 2018-09-17 14:51:03 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2018:2712 https://access.redhat.com/errata/RHSA-2018:2712

Comment 9 errata-xmlrpc 2018-09-17 14:54:33 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2018:2713 https://access.redhat.com/errata/RHSA-2018:2713


Note You need to log in before you can comment on or make changes to this bug.